# frozen_string_literal: true

require 'yade/common/common'
require 'yade/domain/rest/client'
require 'yade/project/rest/client'
require 'yade/composer/rest/client'

require 'yadecli/version'
require 'yadecli/model/installation_status'
require 'yadecli/model/git_status'
require 'yadecli/util/cli_util'
require 'yadecli/util/file_util'
require 'yadecli/util/system_util'
require 'yadecli/util/sdk_util'
require 'yadecli/util/rvm_util'
require 'yadecli/util/nvm_util'
require 'yadecli/util/pyenv_util'
require 'yadecli/util/maven_util'
require 'yadecli/cli/host'
require 'yadecli/cli/composer'
require 'yadecli/cli/project'
require 'yadecli/cli/module'
require 'yadecli/cli/task'
require 'yadecli/cli/application'
require 'yadecli/cli/response/project_start_response'

require 'yadecli/client/gitlab_client'
require 'yadecli/client/application_status_client'

require 'yadecli/command/connect_command'
require 'yadecli/command/login_command'
require 'yadecli/command/host/host_list_command'
require 'yadecli/command/host/host_bootstrap_command'
require 'yadecli/command/host/host_provision_command'
require 'yadecli/command/project/project_list_command'
require 'yadecli/command/project/project_install_command'
require 'yadecli/command/project/project_uninstall_command'
require 'yadecli/command/project/project_setup_command'
require 'yadecli/command/project/project_start_command'
require 'yadecli/command/module/module_list_command'
require 'yadecli/command/module/module_install_command'
require 'yadecli/command/composer/composer_setup_command'
require 'yadecli/command/composer/composer_list_command'
require 'yadecli/command/composer/composer_install_command'
require 'yadecli/command/composer/composer_switch_command'
require 'yadecli/command/composer/composer_uninstall_command'
require 'yadecli/command/composer/composer_start_command'
require 'yadecli/command/composer/composer_stop_command'
require 'yadecli/command/composer/composer_log_command'
require 'yadecli/command/task/task_list_command'

require 'yadecli/io/user_input'

# yadecli
module Yadecli

  def self.LOGGER
    Logger.new("#{Dir.pwd}/yadecli.log")
  end

end
