# frozen_string_literal: true

require 'json'

# project start response
class ProjectStartResponse
  include ActiveModel::Model
  include ActiveModel::Serializers::JSON

  attr_accessor :project, :project_home, :selection

  validates_presence_of 'project', 'project_home', 'selection'

  def attributes
    instance_values
  end

  def write(path)
    File.open(path, 'w') { |file| file.write(self.as_json(include: :project).to_json) }
  end
end