# frozen_string_literal: true

require 'httparty'
require 'logger'
require 'json'

require 'yade/common/client/base_client'

module Yade
  module Client
    # project client
    class ApplicationStatusClient < Yade::Common::Client::BaseClient
      include HTTParty
      # logger ::Logger.new(STDOUT), :debug

      base_uri Yade::Common::Config::AppConfig[:yade_url]

      def initialize
        super('yadegateway', 'gateway/routes', nil)
      end

      # get
      def get
        response = get_request(nil)

        response.parsed_response.each do |p|
          puts ''
          puts p['serviceId'] + ":"
          puts " Instances"
          p['serviceInstances'].each do |si|
            puts "  #{si['serviceId']} -> Status: #{si['instanceInfo']['status']}"
            puts "   Profiles: #{si['metadata']['profile']}"
            puts "   Version: #{si['metadata']['version']}"
          end
        end
      end
    end
  end
end
