# frozen_string_literal: true

require 'gitlab'

# yadecli cli
module Yadecli
  module Client

    # gitlab client
    class GitlabClient

      # request yade token
      def initialize
        Gitlab.configure do |config|
          config.endpoint       = Yade::Common::Config::ComposerConfig[:git_api_url]
          config.private_token  = Yade::Common::Config::ComposerConfig[:git_token]
        end
      end

      # get branch names from gitlab project given by name
      def get_branch_names(repository_name)
        projects = Gitlab.projects(search: repository_name)

        project = projects.select { |p| repository_name == p.name }.first

        branches = Gitlab.branches(project.id)

        branches.map { |b| b.name }
      end

      # get branch names from gitlab project given by name
      def get_default_branch(repository_name)
        projects = Gitlab.projects(search: repository_name)

        project = projects.select { |p| repository_name == p.name }.first

        project.default_branch
      end
    end
  end
end