# frozen_string_literal: true

require 'mutations'
require 'uri'

module Yadecli
  module Command
    module Composer
      class ComposerSetupCommand < Mutations::Command

        #
        def execute
          Yade::Common::Config::ComposerConfig[:git_api_url] = UserInput.ask(' * Gitlab API Url?', :git_api_url)
          Yade::Common::Config::ComposerConfig[:git_username] = UserInput.ask(' * Gitlab Username?', :git_username)
          Yade::Common::Config::ComposerConfig[:git_password] = UserInput.ask(' * Gitlab Password?', :git_password)
          Yade::Common::Config::ComposerConfig[:git_token] = UserInput.ask(' * Gitlab Api Token?', :git_token)
          Yade::Common::Config::ComposerConfig[:docker_registry_url] = UserInput.ask(' * Docker Registry Url?', :docker_registry_url)
          Yade::Common::Config::ComposerConfig[:docker_registry_username] = UserInput.ask(' * Docker Registry Username?', :docker_registry_username)
          Yade::Common::Config::ComposerConfig[:docker_registry_password] = UserInput.ask(' * Docker Registry Password?', :docker_registry_password)

          Yade::Common::Config::ComposerConfig.write!

          'Yade compose successfully setup'
        end
      end
    end
  end
end