# frozen_string_literal: true

require 'mutations'
require 'uri'

module Yadecli
  module Command
    class ConnectCommand < Mutations::Command

      required do
        string :yade_url, matches: URI.regexp
      end

      # These inputs are optional
      #optional do
      #  boolean :newsletter_subscribe
      #end

      # The execute method is called only if the inputs validate. It does your business action.
      def execute
        Yade::Common::Config::AppConfig[:yade_url] = self.yade_url

        Yade::Common::Config::AppConfig.write!

        "Successfully connected to Yade at url #{self.yade_url}"
      end
    end
  end
end