# frozen_string_literal: true

require 'uri'

# yadecli cli
module Yadecli
  module Command
    # login
    class LoginCommand < Mutations::Command

      required do
        string :auth_url, matches: URI.regexp
        string :auth_username, empty: false
        string :auth_password, empty: false
      end

      def execute
        authentication_client = Yade::Common::Client::AuthenticationClient.new

        authentication = authentication_client.login(auth_url, auth_username, auth_password)

        "Successfully logged in user #{authentication.auth_username} with password *** at uaa #{authentication.auth_url}"
      end
    end
  end
end