# frozen_string_literal: true

require 'tty-prompt'

# User Input
class UserInput

  def self.ask(message, config_key)
    prompt = TTY::Prompt.new

    prompt.ask(message, default: Yade::Common::Config::ComposerConfig[config_key] ||= '')
  end

  def self.select_branch(repo_name)
    prompt = TTY::Prompt.new

    branches = Yadecli::Client::GitlabClient.new.get_branch_names(repo_name)

    prompt.select('Select the branch you want to clone', branches)
  end
end