# frozen_string_literal: true

require 'colorize'
require 'artii'

# cli util
class CliUtil
  # all methods in this block are static
  class << self

    # print header and subtitle(s)
    def print_header(title, subtitles)
      a = Artii::Base.new
      puts a.asciify(title).colorize(:color => :green, :mode => :bold)
      subtitles.each { |s| puts s.colorize(:cyan) } unless subtitles.nil? || subtitles.empty?
    end

    def print_command_outcome(outcome)
      if outcome.success?
        puts outcome.result.colorize(:color => :green, :mode => :bold)
      else
        outcome.errors.message_list.each do |message|
          puts message.colorize(:color => :red, :mode => :bold)
        end
      end
    end

    def check_root
      Process.uid.zero?
    end
  end
end