# frozen_string_literal: true

# Maven util
class MavenUtil

  def self.create_mvn_commandline(project_module, maven_build_task, maven_build_step)
    task_profiles = maven_build_task.profiles&.split(',')&.map { |item| item.strip }
    step_profiles = maven_build_step.profiles&.split(',')&.map { |item| item.strip }
    all_profiles = []
    all_profiles << task_profiles unless task_profiles.nil?
    all_profiles << step_profiles unless step_profiles.nil?

    #puts "aaa #{all_profiles.flatten}"

    task_params = maven_build_task.parameters&.split(',')&.map { |item| item.strip }
    step_params = maven_build_step.parameters&.split(',')&.map { |item| item.strip }
    all_params = []
    all_params << task_params unless task_params.nil?
    all_params << step_params unless step_params.nil?

    #puts "bbb #{all_params.flatten}"

    project = Yadecli::Client::ProjectClient.new.get(project_module.projectId)

    cmd = "mvn -B -s #{project.home}/conf/settings.xml "
    cmd += "-P#{all_profiles.flatten.join(',')}" if all_profiles.size.positive?

    cmd += " #{maven_build_step.command} "

    all_params.flatten.map { |p| cmd += " -D#{p}" } if all_params.size.positive?

    cmd
  end

end