# frozen_string_literal: true

# sdk util
class SdkUtil

  def self.install_candidate(candidate, version)
    sdkman_home = "#{File.expand_path('~')}/.sdkman"

    if File.directory?("#{sdkman_home}/candidates/#{candidate}/#{version}")
      puts " ↳ SKIPPED install sdk candidate #{candidate} with version #{version} because it already exists."
    else
      cmd = TTY::Command.new
      puts " ↳ Install sdk candidate #{candidate} with version #{version} because it already exists."
      script_path = FileUtil.script_path('sdk-install-candidate.sh')
      cmdline = "#{script_path} #{candidate} #{version}"
      cmd.run(cmdline) do |out, err|
        puts out if out
        puts err if err
      end
    end

  end
end